## PDC Get Config Limits

PDC Get Config Limits

## Functions

QmiMessagePdcGetConfigLimitsInput * | qmi_message_pdc_get_config_limits_input_new ()
QmiMessagePdcGetConfigLimitsInput * | qmi_message_pdc_get_config_limits_input_ref ()
void | qmi_message_pdc_get_config_limits_input_unref ()
gboolean | qmi_message_pdc_get_config_limits_input_get_token ()
gboolean | qmi_message_pdc_get_config_limits_input_set_token ()
gboolean | qmi_message_pdc_get_config_limits_input_get_config_type ()
gboolean | qmi_message_pdc_get_config_limits_input_set_config_type ()
QmiMessagePdcGetConfigLimitsOutput * | qmi_message_pdc_get_config_limits_output_ref ()
void | qmi_message_pdc_get_config_limits_output_unref ()
gboolean | qmi_message_pdc_get_config_limits_output_get_current_size ()
gboolean | qmi_message_pdc_get_config_limits_output_get_maximum_size ()
gboolean | qmi_message_pdc_get_config_limits_output_get_token ()
gboolean | qmi_message_pdc_get_config_limits_output_get_result ()
void | qmi_client_pdc_get_config_limits ()
QmiMessagePdcGetConfigLimitsOutput * | qmi_client_pdc_get_config_limits_finish ()

## Types and Values

| QmiMessagePdcGetConfigLimitsInput
| QmiMessagePdcGetConfigLimitsOutput

## Object Hierarchy

        GBoxed
        ├── QmiMessagePdcGetConfigLimitsInput
        ╰── QmiMessagePdcGetConfigLimitsOutput

## Description

## Functions

### qmi_message_pdc_get_config_limits_input_new ()

    QmiMessagePdcGetConfigLimitsInput *
    qmi_message_pdc_get_config_limits_input_new
                                   (void);

Allocates a new QmiMessagePdcGetConfigLimitsInput.

#### Returns

the newly created QmiMessagePdcGetConfigLimitsInput. The returned value should be freed with `qmi_message_pdc_get_config_limits_input_unref()`.

Since: 1.18

### qmi_message_pdc_get_config_limits_input_ref ()

    QmiMessagePdcGetConfigLimitsInput *
    qmi_message_pdc_get_config_limits_input_ref
                                   (QmiMessagePdcGetConfigLimitsInput *self);

Atomically increments the reference count of `self` by one.

#### Parameters

self | a QmiMessagePdcGetConfigLimitsInput. |

#### Returns

the new reference to `self` .

Since: 1.18

### qmi_message_pdc_get_config_limits_input_unref ()

    void
    qmi_message_pdc_get_config_limits_input_unref
                                   (QmiMessagePdcGetConfigLimitsInput *self);

Atomically decrements the reference count of `self` by one. If the reference count drops to 0, `self` is completely disposed.

#### Parameters

self | a QmiMessagePdcGetConfigLimitsInput. |

Since: 1.18

### qmi_message_pdc_get_config_limits_input_get_token ()

    gboolean
    qmi_message_pdc_get_config_limits_input_get_token
                                   (QmiMessagePdcGetConfigLimitsInput *self,
                                    guint32 *value_token,
                                    GError **error);

Get the 'Token' field from `self` .

#### Parameters

self | a QmiMessagePdcGetConfigLimitsInput. |
value_token | a placeholder for the output guint32, or `NULL` if not required. |
error | Return location for error or `NULL`. |

#### Returns

`TRUE` if the field is found, `FALSE` otherwise.

Since: 1.18

### qmi_message_pdc_get_config_limits_input_set_token ()

    gboolean
    qmi_message_pdc_get_config_limits_input_set_token
                                   (QmiMessagePdcGetConfigLimitsInput *self,
                                    guint32 value_token,
                                    GError **error);

Set the 'Token' field in the message.

#### Parameters

self | a QmiMessagePdcGetConfigLimitsInput. |
value_token | a guint32. |
error | Return location for error or `NULL`. |

#### Returns

`TRUE` if `value` was successfully set, `FALSE` otherwise.

Since: 1.18

### qmi_message_pdc_get_config_limits_input_get_config_type ()

    gboolean
    qmi_message_pdc_get_config_limits_input_get_config_type
                                   (QmiMessagePdcGetConfigLimitsInput *self,
                                    QmiPdcConfigurationType *value_config_type,
                                    GError **error);

Get the 'Config Type' field from `self` .

#### Parameters

self | a QmiMessagePdcGetConfigLimitsInput. |
value_config_type | a placeholder for the output QmiPdcConfigurationType, or `NULL` if not required. |
error | Return location for error or `NULL`. |

#### Returns

`TRUE` if the field is found, `FALSE` otherwise.

Since: 1.18

### qmi_message_pdc_get_config_limits_input_set_config_type ()

    gboolean
    qmi_message_pdc_get_config_limits_input_set_config_type
                                   (QmiMessagePdcGetConfigLimitsInput *self,
                                    QmiPdcConfigurationType value_config_type,
                                    GError **error);

Set the 'Config Type' field in the message.

#### Parameters

self | a QmiMessagePdcGetConfigLimitsInput. |
value_config_type | a QmiPdcConfigurationType. |
error | Return location for error or `NULL`. |

#### Returns

`TRUE` if `value` was successfully set, `FALSE` otherwise.

Since: 1.18

### qmi_message_pdc_get_config_limits_output_ref ()

    QmiMessagePdcGetConfigLimitsOutput *
    qmi_message_pdc_get_config_limits_output_ref
                                   (QmiMessagePdcGetConfigLimitsOutput *self);

Atomically increments the reference count of `self` by one.

#### Parameters

self | a QmiMessagePdcGetConfigLimitsOutput. |

#### Returns

the new reference to `self` .

Since: 1.18

### qmi_message_pdc_get_config_limits_output_unref ()

    void
    qmi_message_pdc_get_config_limits_output_unref
                                   (QmiMessagePdcGetConfigLimitsOutput *self);

Atomically decrements the reference count of `self` by one. If the reference count drops to 0, `self` is completely disposed.

#### Parameters

self | a QmiMessagePdcGetConfigLimitsOutput. |

Since: 1.18

### qmi_message_pdc_get_config_limits_output_get_current_size ()

    gboolean
    qmi_message_pdc_get_config_limits_output_get_current_size
                                   (QmiMessagePdcGetConfigLimitsOutput *self,
                                    guint64 *value_current_size,
                                    GError **error);

Get the 'Current Size' field from `self` .

#### Parameters

self | a QmiMessagePdcGetConfigLimitsOutput. |
value_current_size | a placeholder for the output guint64, or `NULL` if not required. |
error | Return location for error or `NULL`. |

#### Returns

`TRUE` if the field is found, `FALSE` otherwise.

Since: 1.18

### qmi_message_pdc_get_config_limits_output_get_maximum_size ()

    gboolean
    qmi_message_pdc_get_config_limits_output_get_maximum_size
                                   (QmiMessagePdcGetConfigLimitsOutput *self,
                                    guint64 *value_maximum_size,
                                    GError **error);

Get the 'Maximum Size' field from `self` .

#### Parameters

self | a QmiMessagePdcGetConfigLimitsOutput. |
value_maximum_size | a placeholder for the output guint64, or `NULL` if not required. |
error | Return location for error or `NULL`. |

#### Returns

`TRUE` if the field is found, `FALSE` otherwise.

Since: 1.18

### qmi_message_pdc_get_config_limits_output_get_token ()

    gboolean
    qmi_message_pdc_get_config_limits_output_get_token
                                   (QmiMessagePdcGetConfigLimitsOutput *self,
                                    guint32 *value_token,
                                    GError **error);

Get the 'Token' field from `self` .

#### Parameters

self | a QmiMessagePdcGetConfigLimitsOutput. |
value_token | a placeholder for the output guint32, or `NULL` if not required. |
error | Return location for error or `NULL`. |

#### Returns

`TRUE` if the field is found, `FALSE` otherwise.

Since: 1.18

### qmi_message_pdc_get_config_limits_output_get_result ()

    gboolean
    qmi_message_pdc_get_config_limits_output_get_result
                                   (QmiMessagePdcGetConfigLimitsOutput *self,
                                    GError **error);

Get the result of the QMI operation.

#### Parameters

self | a QmiMessagePdcGetConfigLimitsOutput. |
error | Return location for error or `NULL`. |

#### Returns

`TRUE` if the QMI operation succeeded, `FALSE` if `error` is set.

Since: 1.18

### qmi_client_pdc_get_config_limits ()

    void
    qmi_client_pdc_get_config_limits (QmiClientPdc *self,
                                      QmiMessagePdcGetConfigLimitsInput *input,
                                      guint timeout,
                                      GCancellable *cancellable,
                                      GAsyncReadyCallback callback,
                                      gpointer user_data);

Asynchronously sends a Get Config Limits request to the device.

When the operation is finished, `callback` will be invoked in the thread-default main loop of the thread you are calling this method from.

You can then call `qmi_client_pdc_get_config_limits_finish()` to get the result of the operation.

#### Parameters

self | a QmiClientPdc. |
input | a QmiMessagePdcGetConfigLimitsInput. |
timeout | maximum time to wait for the method to complete, in seconds. |
cancellable | a GCancellable or `NULL`. |
callback | a GAsyncReadyCallback to call when the request is satisfied. |
user_data | user data to pass to `callback` . |

Since: 1.18

### qmi_client_pdc_get_config_limits_finish ()

    QmiMessagePdcGetConfigLimitsOutput *
    qmi_client_pdc_get_config_limits_finish
                                   (QmiClientPdc *self,
                                    GAsyncResult *res,
                                    GError **error);

Finishes an async operation started with `qmi_client_pdc_get_config_limits()`.

#### Parameters

self | a QmiClientPdc. |
res | the GAsyncResult obtained from the GAsyncReadyCallback passed to `qmi_client_pdc_get_config_limits()`. |
error | Return location for error or `NULL`. |

#### Returns

a QmiMessagePdcGetConfigLimitsOutput, or `NULL` if `error` is set. The returned value should be freed with `qmi_message_pdc_get_config_limits_output_unref()`.

Since: 1.18

## Types and Values

### QmiMessagePdcGetConfigLimitsInput

    typedef struct _QmiMessagePdcGetConfigLimitsInput QmiMessagePdcGetConfigLimitsInput;

The QmiMessagePdcGetConfigLimitsInput structure contains private data and should only be accessed using the provided API.

Since: 1.18

### QmiMessagePdcGetConfigLimitsOutput

    typedef struct _QmiMessagePdcGetConfigLimitsOutput QmiMessagePdcGetConfigLimitsOutput;

The QmiMessagePdcGetConfigLimitsOutput structure contains private data and should only be accessed using the provided API.

Since: 1.18